API referenceVoice

Get a call

GET
/v2/calls/{id}

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).

Path Parameters

id*string

The call id.

Formatuuid

Header Parameters

Gauge-Version?string

A dated version. Default 2026-10-21.

Response Body

The call.

application/json
  1. response
id*string
Formatuuid
direction*string
Value in"inbound""outbound""internal"
state*string
Value in"ringing""answered""completed""failed""no_answer""voicemail"
numberId*|
Formatuuid
from*string|null
to*string|null
contactId*|
Formatuuid
conversationId*|
Formatuuid
assigneeId*|
Formatuuid
answeredByMemberId*|
Formatuuid
startedAt*string
answeredAt*string|null
endedAt*string|null
durationSecs*integer|null
recording*|null
Example Request
curl -X GET 'https://app.gauge.chat/backend/v2/calls/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "direction": "inbound",  "state": "ringing",  "numberId": "4960e75f-5738-4a19-bb92-2459f0660f6c",  "from": "string",  "to": "string",  "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",  "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",  "assigneeId": "665a9750-71bd-4b96-bacd-9efa4ae022dd",  "answeredByMemberId": "bcc15947-ddee-42bf-b360-9f990b07d2c4",  "startedAt": "string",  "answeredAt": "string",  "endedAt": "string",  "durationSecs": 0,  "recording": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "available": true,    "durationSecs": 0  }}